Welcome

Welcome (BETA)
Top Next

Welcome to Bukster help. This section explains what Bukster is and what it isn't.

Bukster is NOT:
· A site mirroring tool/Site Ripper.
· A dedicated downloader such as GetRight or FlashGet.
· Bukster is NOT Adware or Spyware, nor does it contain any.
· A proprietary protocol application. All transfers are HTTP.
· Public domain software.

Bukster Is:
· A content targeting application, allowing you to download only the content you specify.
· A highly configurable HTTP client that allows you to alter certain HTTP settings so as to allow you to save time and bandwidth when downloading content.
· A HTTP resource verification tool.
· Freeware.

Thanks to EMC for providing this html help documentation.
Thanks also goes to Hispanico Web for the Spanish translation, and Xosé Antón Vicente Rodríguez for the Galician translation.

_________________________________________________
Bukster Copyright ©2004 CladaSoft


License Agreement
Previous Top Next

Bukster 1.0 Beta
Copyright © 2004 CladaSoft, All Rights Reserved

IMPORTANT NOTE

The Software, as defined below, is protected by copyright, which are vested in CladaSoft.

If you do not read and agree to be bound by the terms and conditions defined in this document, you are not permitted to keep or use the Software in any way whatsoever and must destroy or return all copies of these items which are in your possession.

END USER LICENSE AGREEMENT

DEFINITIONS

The following definitions apply to the terms and conditions included in this Agreement.

Bukster
means the Bukster software, developed by CladaSoft, for use in third party environments.

Software
means Bukster, all program and information files and other documentation which are part of the Bukster Software package.

Individual
means a particular person.

Use of the Software
means use of the Software on one or more computers by a single Individual. Where the Software is used by more than one person, then this will constitute multiple uses where the number of uses will be equal to the number of Individuals able to access to the Software even if not all of the Individuals with access make use of the Software.

TERMS OF AGREEMENT

This is a legal agreement between you, the users, and CladaSoft. By installing or using this Software, you agree to be bound by the terms of this agreement. If you do not agree to those terms, you may not use or install the Software.

You may use one copy of the Software on only one computer at a time. If you have multiple licenses of the Software, you may use as many copies at any time as you have a license. "Use" means loaded in temporary memory or permanent storage on the computer. Installation on a network server solely for distribution to other computers is not "use", if you have a separate license for each computer to which the Software is distributed. If the number of users will exceed the number of licenses, you must have a reasonable process to assure that the number of persons using the Software concurrently does not exceed the number of licenses.

The Software is protected by copyright laws and international treaties. You may make one copy of the Software solely for backup or archival purposes or transfer it to a single hard disk provided you keep the original disk solely for backup or archival purposes. You may not rent or lease the Software or copy any written materials accompanying the Software, but you may transfer the Software and all accompanying materials on a permanent basis, if you retain no copies and the recipient agrees to the terms of this Agreement. Any transfer must include the most recent update and all prior versions.

All intellectual property rights such as but not limited to patents, trademarks, copyrights or trade secret rights related to the Software are the property of and remains vested in CladaSoft.

You shall not modify, translate, reverse engineer, decompile or disassemble the Software or any part thereof or otherwise attempt to derive source code or create derivative works therefrom.

You are not allowed to remove, alter or destroy any proprietary, trademark or copyright markings or notices placed upon or contained with the Software.

Registration Codes may be used, stored or copied only by the person or organization, which has licensed the Software, and solely for the purpose of using the Software within the terms and conditions of this Agreement. No person or organization is permitted to store or copy a Registration Code for any other purpose without written agreement from CladaSoft.

The copyright of all Registration Codes remains vested in CladaSoft which reserves the right to withhold or withdraw authorization of use of all Registration Codes issued to a person or organization if there is reasonable evidence to indicate that the person or organization is involved in a breach of the terms of this document.

YOU EXPRESSLY ACKNOWLEDGE AND AGREE THAT USE OF THE SOFTWARE IS AT YOUR OWN RISK AND THAT THE SOFTWARE IS PROVIDED "AS IS" WITHOUT ANY WARRANTIES OR CONDITIONS WHATSOEVER. CLADASOFT OR ITS SUPPLIERS DOES NOT WARRANT THAT THE FUNCTIONS OF THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR THAT THE OPERATION OF THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR FREE. YOU ASSUME RESPONSIBILITY FOR SELECTING THE SOFTWARE TO ACHIEVE YOUR INTENDED RESULTS, AND FOR THE USE AND THE RESULTS OBTAINED FROM THE SOFTWARE.

YOU ACKNOWLEDGE THAT THE SOFTWARE IS NOT INTENDED FOR USE IN (I) ON-LINE CONTROL OF AIRCRAFT, AIR TRAFFIC, AIRCRAFT NAVIGATION OR AIRCRAFT COMMUNICATIONS; OR (II) IN THE DESIGN, CONSTRUCTION, OPERATION OR MAINTENANCE OF ANY NUCLEAR FACILITY.

CLADASOFT DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO WARRANTIES RELATED TO: NON-INFRINGEMENT, LACK OF VIRUSES, ACCURACY OR COMPLETENESS OF RESPONSES OR RESULTS, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE .

IN NO EVENT SHALL CLADASOFT BE LIABLE FOR ANY INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES OR FOR ANY DAMAGES WHATSOEVER (INCLUDING BUT NOT LIMITED TO DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, PERSONAL INJURY, LOSS OF PRIVACY OR OTHER PECUNIARY OR OTHER LOSS WHATSOEVER) ARISING OUT OF USE OR INABILITY TO USE THE SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

REGARDLESS OF THE FORM OF ACTION, CLADASOFT AGGREGATES LIABILITY ARISING OUT OF OR RELATED TO THIS AGREEMENT SHALL NOT EXCEED THE TOTAL AMOUNT PAYABLE BY YOU UNDER THIS AGREEMENT. THE FOREGOING LIMITATIONS, EXCLUSIONS AND DISCLAIMERS SHALL APPLY TO THE MAXIMUM EXTENT ALLOWED BY APPLICABLE LAW.

The Software may be subject to export or import regulations, and the user agrees to comply strictly with all such laws and regulations. The user agrees not to export or re-export the Software or any part thereof or information pertaining thereto to any country for which a U.S. government agency requires an export license or other governmental approval without first obtaining such license or approval.

Notice to U.S. Government Users: The Software and any associated documentation are "Commercial Items," as that term is defined at 48 C.F.R. 2.101, consisting of "Commercial Computer Software" and "Commercial Computer Software Documentation," as such terms are used in 48 C.F.R. 12.212 or 48 C.F.R. 227.7202, as applicable. Consistent with 48 C.F.R. 12.212 or 48 C.F.R. 227.7202-1 through 227.7202-4, as applicable, the Commercial Computer Software and Commercial Computer Software Documentation are licensed to U.S. Government end users (a) only as Commercial Items and (b) with only those rights as are granted to all other end users pursuant to the terms and conditions herein.

Any and all disputes arising out of the rights and obligations in this Agreement shall be submitted to ordinary court proceedings. You will accept an Irish court as the legal venue under this Agreement.
This Agreement shall be governed by Irish law, and the stipulations set forth herein to be construed in accordance with same.


Bukster for Wine/Linux

A modified version of Bukster is available for Wine on Linux. This version is modified because the Most Recently Used (MRU) documents functionality caused it to crash under Wine. This has been removed. Recent versions of Wine have also addressed the "disappearing labels" problem.


Toolbar

1. New:
Start a new configuration.
Ctrl+N

2. Open:
Open a configuration file.
Ctrl+O

3. Save:
Save current configuration to file.
Ctrl+S

4. Cookie Configuration
Configure cookies/Import Firefox Cookies.
Ctrl+K

5. HTTP Auth configuration.
Configure HTTP protocol based site access credentials.
Alt+F+H

6. Add URLs to List:
Manually add URLs to Main Download List. (can also drag and drop urls from your browsers toolbar)
Ctrl+U

7. Extract links from webpage:
List HTTP links in a web page. You can choose link type by file extension.
Ctrl+T

8. Download listed files:
Download the files shown in the main list. (See Below)
Ctrl+L

9. Download embedded objects from listed pages:
Scan listed pages and download the embedded objects.(See Below)
Ctrl+E then
+D for Images
+O for Videos
+W for Flash Animations
+N for Audio

10. Download hyperlinked files from listed pages:
Scan listed pages and download hyperlinked files in those pages.(See Below)
Ctrl+H

11. Stop downloading Now:
Stops all downloading activity.
Ctrl+P
(Ctrl+K to skip current file)

12. Help:
Read this document.
F1

13. About:
Display application About box.
Alt+H+A

14. Quit:
Exit Bukster
Alt+F4

There are 3 different methods of downloading. These are numbered 8,9,10 in the table above.

Download listed files:
Clicking this downloads the files in the Main list to the folder specified. As shorthand you can enter a URL such as http://www.mytesturlxyz.com/file{07-10}.zip. If you have the "Expand Sections" box ticked then Bukster will expand this list to the following:

      http://www.mytesturlxyz.com/file07.zip
      http://www.mytesturlxyz.com/file08.zip
      http://www.mytesturlxyz.com/file09.zip
http://www.mytesturlxyz.com/file10.zip

and attempt to download the files accordingly.
However if you enter a shorthand URL such as http://www.mytesturlxyz.com/file{7-10}.zip Bukster will expand this list to the following (NOTE the digit width):

   http://www.mytesturlxyz.com/file7.zip
   http://www.mytesturlxyz.com/file8.zip
   http://www.mytesturlxyz.com/file9.zip
   http://www.mytesturlxyz.com/file10.zip

If you do not have the "Expand Sections" box ticked, the Bukster will try to download the file "http://www.mytesturl.com/file1{07-10}.zip" as a literal URL.

A shorthand URL list like this can have several expandable sections.
Example:
   http://www.mytesturlxyz.com/dir{1-2}/file{7-10}.zip
will expand to:
   http://www.mytesturlxyz.com/dir1/file7.zip
   http://www.mytesturlxyz.com/dir1/file8.zip
   http://www.mytesturlxyz.com/dir1/file9.zip
   http://www.mytesturlxyz.com/dir1/file10.zip
   http://www.mytesturlxyz.com/dir2/file7.zip
   http://www.mytesturlxyz.com/dir2/file8.zip
   http://www.mytesturlxyz.com/dir2/file9.zip
   http://www.mytesturlxyz.com/dir2/file10.zip

Invalid or unfinished sections (i.e. not ending in } etc.) will be considered literal, and will not be expanded.
This is currently the only download method that supports expandable sections.
Note: The section delimiters [ and ] are no longer used. They are now { and } as the previous characters occasionally interfered with BBCode on web forums such as phpBB(tm) and VBulletin(tm).

Download Embedded Objects in listed pages:
This method downloads the embedded objects (images, videos, Flash™ Animations* and audio) from the web pages listed in the main list. As the same object may be referenced multiple times in a web page, duplicated references will be ignored so only unique images will be downloaded. Javascript and HTML Forms elements are not parsed, just html. On clicking the button, a menu opens up giving you an option of what kind of objects to download, or alternatively press Ctrl+E.
Entries in the main list must be web pages and not, for example, binary resources, or else they will be ignored.
Important note: For downloading videos, only the html <object> tag is parsed, to stay compatible with the way people embed Microsoft® Windows Media™ files, but for Macromedia® Flash/Shockwave™ files and audio files, the <embed> tag is parsed.
Does not currently support expandable sections.

Download hyperlinked files from listed pages:
This method downloads files that are hyperlinked in the listed pages. You must first specify what file types to download See the App Settings tab for information on how to do this.
Entries in the main list must be web pages and not, for example, binary resources, or else they will be ignored.
Does not currently support expandable sections.

HTTP Auth configuration.
You can enter user ids and passwords to websites here. It is recommended that you use this when accessing websites that require HTTP based authentication. Does not support webform based authentication using Cookies. You may recognise HTTP authentication style dialogs in the following images:

auth
Mozilla/Firefox

authIE
Internet Explorer

You can also just enter the username and password to the site as part of the url in the list.
Example: http://user:password@www.somewebsite.co/members/


Main Tab

Save To:
This is the directory that downloaded files will be save under. The HTTP directory structure will be recreated under this directory.

Expand sections:
Tick this box if you are downloading using the "Download listed files" method and there are expandable sections in the listed URL(s). Expandable sections are a method of shorthanding several URLs.
For Example: http://www.mytestserverxyz.com/file{01-05}.zip will expand to the list

http://www.mytestserverxyz.com/file01.zip
http://www.mytestserverxyz.com/file02.zip
http://www.mytestserverxyz.com/file03.zip
http://www.mytestserverxyz.com/file04.zip
http://www.mytestserverxyz.com/file05.zip

Main Download List:
Contains the URLs to download/scan. You can drag and drop URL shortcuts from explorer onto the list. You can also drag and drop URLs directly from your web browser address bar, or page hyperlinks onto the main list. (Only on Windows)

Skip Current File:
Click this button to stop downloading the current file and start the next.


App Settings

If File Already Exists:
Action to take if current file download already exists.

Files to Save:
When downloading using the "Download hyperlinked files from listed pages", you can specify what type of file to download. When adding types to the list, they must begin with a dot "." You can also choose to download all file types or ensure that the filetypes list is case sensitive. A drop down menu with a configuration option is available to allow you to quickly switch between type lists.

Max Expand URL Size:
When downloading using Donwload Listed Files with Expandable Sections enabled, you can specify a maximum list size that a URL can be expanded to. The URL will be ignored if it expands to a list size larger than this value. This prevents malicious links from using up too many system resources. This setting is not saved in settings files, but in the registry, to avoid you loading a file with a value that is too large for your system to handle.

Windows XP(tm) look and feel:
Enable or disable the Windows XP(tm) look and feel. Takes effect when you restart Bukster. (Windows XP only)

Encrypt saved settings:
For increased personal privacy, you have the option of encrypting your settings. You must first specify your new password. From then on when saving you enter this password when saving in encrypted format. You must have the box ticked prior to saving to let Bukster know you want to encrypt your settings. You can also change your password from here. Be warned however that passwords cannot be retrieved if you forget it. If you forget your password, you can reset password status by deleting the registry key (Click Start->Run..., enter regedit.exe and click ok):
HKEY_CURRENT_USER\Software\CladaSoft\Bukster\Sec
   This Key holds a message digest (irreversable encryption) of your password.
Deleting this key does not compromise your security, it just means that you must start over again and enter an initial password. This manual approach is intentional as it avoids accidentally deleting your password.

Register/UnRegister Browser Click Handler/File Association:
Click Register if you want Bukster to handle Bukster URLs (URLs starting with bkstr://) so when you click on a Bukster link in your browser, Bukster will handle it.
Example: In your html page you can put a link to
bkstr://www.sometestserverxyz.com/{01-10}.zip
   HTML: <a href="bkstr://www.sometestserverxyz.com/{01-10}.zip">Click Here</a>
   If Bukster handler is registered, it will start up and handle the link by putting
   http://www.sometestserverxyz.com/{01-10}.zip
   in the main download list. (Note the start of the handled URL). bkstr:// is not a net protocol just a way of letting Bukster handle HTTP links.

NOTE: As of Bukster version 1.15 two new xml based file formats have been added to Bukster to overcome the 64KB filesize limit imposed by the Windows Ini file type. These are .xfs (xml version of .hfs) and .xfe (xml version of .hfe). These new types are registerd upon installation, and can be used transparently.

You also have the opportunity to register the .hfs .hfe .xfs and .xfe file types with Bukster. When registered, double clicking on a file of these types will open the file in Bukster.

· If the file type is .hfe or .xfe that means that it is encrypted. You must know the encryption algorithm AND password to be able to open it. THERE ARE NO "BACK DOOR" KEYS TO ALLOW RECOVERY OF DATA IN THE EVENT OF A PASSWORD BEING LOST OR FORGOTTEN!
· If the filetype is .hfs OR .xfs, then the file is not encrypted and can be opened as normal.

You can also UnRegister the filetype association and browser click handler if you wish. Neither action changes any of your web browser settings.


Connection Settings

HTTP Referer:
This allows you to specify a refering page. Example: If you have dragged a link from a page onto Bukster you can enter that page as the referring URL. Some sites will not allow a file to be downloaded unless the referring URL is a certain value, but you have choosen to download the file with Bukster instead of your web browser.

Example: If you have the page http://www.sometestserver.com/index.html open in your browser and click on a link for http://www.sometestserver.com/freeprogram.zip the server will see that the referring URL is http://www.sometestserver.com/index.html. However if you paste the .zip URL directly into your browser address bar and hit enter, the referrer will be blank, so the server may not allow you to download it. It is for this reason that you have the option of specifying referrers in Bukster. There are 3 different referrer types you can specify: Blank, AutoSpoof and Constant.
Blank: sets the referring URL as blank.
AutoSpoof: Generates a best guess at a Referrer that will deliver the content.
Constant: Sets the referrer as a constant URL as specified by you.

User agent:
SoMe $ites send out altered or even erroneous HTTP headers if you do not use a certain browser/HTTP agent. For this reason you can "pretend" to be using a browser, so as to allow you access to the otherwise publically available resources.

Throttle Traffic Speed:
If you want to browse the web or use a P2P client while downloading with Bukster, you can tell Bukster not to use up all your available bandwidth speed. Tick the box and enter a max speed for Bukster.

Misc Settings:
-Bypass Proxy Cache: Between you and the target server, there maybe one or more proxy cache servers that your requests are routed through. A proxy cache server stores a copy of often requested web data. When a requested is routed through one, it checks to see if it already has a copy of the requested resource. If so it will send that back to you, so you may end up with an out of date resource. Select this option to force the retrieval of an up to date resource.

-Allow Cookies: This is included to allow future feature enhancement. Cookies are currently supported, but on it's own it doesn't do very much, as this is a file downloader not a browser. In future it will allow to login to Web systems (web forums, download areas etc.) when you specify cookie values, as used in your browser.

-Protocol Version: Leave this as HTTP 1.1 unless you know what you're doing.

-Allow HTTP redirects: Sometimes a webserver will redirect you to a page for example, in your browser, if you entered http://www.mytestserver.com/ it might redirect you to http://www.mytestserver.com/home/index.php. These are not META-REFRESH redirects, but HTTP header redirects (location header value specified with no body). Sometimes a malicious web developer might redirect your browser from one page to another and back, in a infinite redirection loop that could crash your browser, or form part of a DDoS attack on the server, for this reason you must specify a maximum redirection limit for the original URL.

-TimeOut: Read timout. If the webserver does not respond in a given length of time, Bukster will give up and start the next URL.

RxBuffer and SendBuffer:
This is the chunk size, in bytes, that will be Read from and Written to your net connection socket. As Bukster is a file downloader, it is wise to have a Big RxBuffer and a Small SendBuffer. But you may experiment to see which works best for you and your net connection speed. The download status information in the main tab is updated when a chunk has been read from the socket --> small RxBuffer=Update often

Proxy Server:
If you access the net through a proxy server, enter the details here. You can click the "Detect IE Proxy" to fill in the details the Internet Explorer™ uses to access the net. Not tested on any GNU Linux/Codeweavers™ WINE/Win4Lin combination.


Header Inspector

· HTTP Header Inspector provides Header information on a specified HTTP URL through use of the HEAD command, and parses the results. A web server is under no obligation to provide a full set of HTTP headers for a request.

All HTTP responses contain a number of header values that are not usually visible to the end user. This feature catagorizes and displays these values.

Attribute | Meaning
Keep Alive | Indicates if the server supports kepp-alive connections.
Code | Response Code (See Here)
Has Content Length | Indicates if the resource size is in the headers.
Content Length | Resource size (if Has Content Length is true)
Resp Version | HTTP protocol used in deleivering the headers. (HTTP 1.0 or HTTP 1.1)
Location | if Code is 302 (HTTP redirect) then this is the redirection target.
Proxy Connection | KEEP-ALIVE - The connection should be maintained for subsequent use. CLOSE - The connection should be closed.
Server Software | The name of the Webserver software (and optionally OS name + some loaded server modules)
Cache Control | CacheControl indicates the behavior that prevents a cache server from adversely interfering with the request or response, and generally override the default caching algorithms.
Connection | Desired options for a particular connection
Range Start | Request can specifiy a range start (resource byte offset).request config not implemented yet.
Range End | Request can specifiy a range end (resource byte offset).request config not implemented yet.
Content-Type | The type of the response. Example text/html for a web page, application/octet-stream for an application.
Content Version | ContentVersion is a String property that represents the version tag associated with a rendition of an entity. Example: "derived-from" allows access to multiple versions of the same server resource.
Content Encoding | Character encoding of the response.
Content Lanuage | Response language. Example en-us
Pragma | Optional HTTP server directives
Request Date | The date the request was made.
Expires Date | The date the resource expires
Modified Date | the date the requested resource was last modified.
Raw Headers | All the response header text.
Response Status | Status line of the response.


Misc Tab

URL Encode/Decode:
Allows you to manually HTTP-encode and -decode urls.
Example:
http://www.mytestserver123.com/my <new> home page.htm
when encoded is:
http://www.mytestserver123.com/my%20%3Cnew%3E%20home%20page.htm

This is because different systems handle special characters, such as whitespace chars, differently, and you cannot be sure what type of system the server is using, so this standard encoding technique is used.

Verify Links:
You can verify HTTP links using this list. Add absolute urls by clicking "List...", to enter urls manually, or "From Main" to import the links from the Main Download List. Click "To Main" to copy all verified links to the main download list. Click "All to Main" to copy all links (both verified and unverfied) to the main download list.


Extract Links Window

Enter topic text here.


Extracting Links

Pressing Ctrl+T brings up the link extraction window.

The link extractor allows you to list the links in a webpage and select which ones you want to add to the main download list. The webpage can be a remote web based file or a local html file. You can select which file types to target, and text to match in the link URL (extracted if URL contains the text). Leave the "Contains text" field blank to match all text.

When a list of URLs is extracted you can select what action to take when clicking the URL in the list. Choices are:
· None - Takes no action
· Open in Browser - Opens the links in you default web browser.
· Follow-up scan - Extracts the links from the selected page. If the link is not a page and is, for example, and image, you will recive an error.


Server Blocking

Enter topic text here.


Server Blocking

Ctrl+ B opens the Server Blocking configuration dialog.

You may wish to block content from certain webservers, for example Advertising servers, so this content blocker allows you to specifiy servers to block content from. You can import your Firefox image blocking settings to get you up and running immedaitely.
There is also a "Find" feature that allows you to search your list of blocked servers. Servers from this matched list will be deleted from the main servers list.


Cookie Configuration

Enter topic text here.


Cookie Configuration

Enter topic text here.

The Cookie Configuration window alows you to import cookies that Firefox uses. This allows Bukster to login to websites that use cookies to authorize its users, and download the specified content. This will only work if you have previously logged into that website using Firefox.
NOTE: You must have the "Allow Cookies" (Connection Settings tab) check box checked in order to use the cookie list!

· Secure cookies are NEVER sent out by Bukster, neither are expired cookies.
· Bukster does NOT alter or change your Firefox cookies in any way.
· Cookies recived by webservers are not saved, nor are older versions updated.

You can edit the values of a cookie by double clicking on it, or right clicking and selecting "Edit Values...". Manually changing cookie values is generally not recommended, however if the need arises, you can use this method.

wndEditCookieVals


HTTP Status Codes
Previous Top

The following two Codes are not in the HTTP specification but are used by Bukster.
-If you get a -1 status code this means that the connection failed
-If you get an "Error 200", (even though 200 means success) this means that the server started sending the requested resource but timed out in mid-delivery.

2** Success

200 OK

201 Created
Following a POST command, this indicates success,
but the text of the response line indicates the URL of the new document.

202 Accepted
Request accepted for asynchronous processing.

203 Partial Information
Returned information may be cached or private.

204 No Response
Used for scripts that don't return a visible result.

3** Redirection

301 Moved
Browsers with link editing capabilities should automatically link to the new reference.
The response contains one or more header lines of the form
URI: <url> string CrLf which specify alternative addresses
for the object in question. The string is an optional comment field.

302 Found
Same as move, except that linking to the found address
doesn't make much sense, since the document URL is expected to change.
This is the code that the httpd returns for a cgi script whose
output contained a Location: header.

303 Method
Same as found, but a different method may be used to access the document;
details about the method are sent in the message body.

304 Not modified
Use the local copy if you cached it.

4** Client Error

400 Bad Request
Impossible request or syntax error

401 Unauthorized
Request should be retried with proper authorization header.

402 Payment Required
Request should be retried with proper charge-to header.

403 Forbidden
Authorization will not help

404 Not found
A document with that URL doesn't exist.

411 No such group
(NCSA httpd) the newsgroup in news:newsgroup doesn't exist.

5** Server Error

500 Internal Error

501 Not implemented
Server does not respond to that method.

502 Timed out
(Seen in practice, not in the specification.)